> ## Documentation Index
> Fetch the complete documentation index at: https://docs.truststack.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a tenant user



## OpenAPI

````yaml /openapi.json post /auth/tenant-users
openapi: 3.0.0
info:
  title: Trust Stack API
  description: Programmatic access to the Trust Stack API.
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /auth/tenant-users:
    post:
      tags:
        - Auth
      summary: Create a tenant user
      operationId: createTenantUser
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateTenantUser'
      responses:
        '201':
          description: The tenant user has been successfully created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TenantUser'
        '400':
          description: The tenant user could not be created
        '404':
          description: The tenant user could not be found
components:
  schemas:
    CreateTenantUser:
      type: object
      properties: {}
    TenantUser:
      type: object
      properties:
        id:
          type: string
          description: The ID of the tenant user
          example: 123e4567-e89b-12d3-a456-426614174000
        tenantId:
          type: string
          description: The ID of the tenant
          example: 123e4567-e89b-12d3-a456-426614174000
        name:
          type: string
          description: The name of the tenant user
          example: John Doe
        email:
          type: string
          description: The email of the tenant user
          example: john.doe@example.com
        createdAt:
          format: date-time
          type: string
          description: The date and time the tenant user was created
          example: '2021-01-01T00:00:00.000Z'
        updatedAt:
          format: date-time
          type: string
          description: The date and time the tenant user was updated
          example: '2021-01-01T00:00:00.000Z'
      required:
        - id
        - tenantId
        - name
        - email
        - createdAt
        - updatedAt

````